diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 5cd298a..3b347d8 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -227,6 +227,10 @@ Cuypers, Hans;  Sterk, Hans\\
 The Logarithmic Integral''\\
 SIAM J. Comput. Vol 15 No 1 February 1986
 
+\bibitem[Chudnovsky 85]{Chu85} Chudnovsky, D.V; Chudnovsky, G.V.\\
+``Elliptic Curve Calculations in Scratchpad II''\\
+Scratchpad II Newsletter 1 (1) (1985)
+
 \bibitem[Chudnovsky 87]{Chu87} Chudnovsky, D.V; Chudnovsky, G.V.\\
 ``New Analytic Methods of Polynomial Root Finding''\\
 in [Wit87], p2
@@ -439,6 +443,17 @@ Vancouver, BC, Canada: proceedings of the 1999 International Symposium on
 Symbolic and Algebraic Computation. ACM Press, New York, NY 10036, USA, 1999.
 ISBN 1-58113-073-2 LCCN QA76.95.I57 1999
 
+\bibitem[Dos Reis 11]{DR11} 
+\bibitem[Dos Reis 12]{DR12} Dos Reis, Gabriel; Matthews, David; Li, Yue\\
+``Retargeting OpenAxiom to Poly/ML: Towards an Integrated Proof Assistants
+and Computer Algebra System Framework''\\
+Calculemus (2011) Springer
+\verb|paradise.caltech.edu/~yli/paper/oa-polyml.pdf|
+
+``A System for Axiomatic Programming''\\
+Proc. Conf. on Intelligent Computer Mathematics, Springer (2012)
+\verb|www.axiomatics.org/~gdr/liz/cicm-2012.pdf|
+
 \bibitem[Doye 97]{Doy97} Doye, Nicolas James\\
 ``Order Sorted Computer Algebra and Coercions''\\
 Ph.D. Thesis University of Bath 1997\\
@@ -560,6 +575,10 @@ In Miola [Mio90], pp56-60. ISBN 0-387-52531-9 (New York), 3-540-52531-9
 Technical report, Institut de Recherche Math{\'{e}}matique Avanc{\'{e}}e''
 Strasbourg, France, 1990 31pp
 
+\bibitem[FSF 14]{FSF14} FSF\\
+``Free Software Directory''\\
+\verb|directory.fsf.org/wiki/Axiom|
+
 \bibitem[Frisco ]{Fris} Frisco\\
 ``Objectives and Results''\\
 \verb|http://www.nag.co.uk/projects/frisco/frisco/node3.htm|
@@ -787,6 +806,7 @@ Watt, Stephen M.\\
 ``Scratchpad II: an abstract datatype system for mathematical computation''\\
 Research Report RC 12327 (\#55257), Iinternational Business Machines, Inc., 
 Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1986 23pp
+\verb|www.csd.uwo.ca/~watt/pub/reprints/1987-ima-spadadt.pdf|
 
 \bibitem[Jenks 87]{JWS87} Jenks, Richard D.; Sutor, Robert S.; 
 Watt, Stephen M. \\
@@ -834,6 +854,10 @@ Springer-Verlag ISBN 3-540-00256-1 p291
 SIGSAM Communications in Computer Algebra, 157 2006\\
 \verb|sage.math.washington.edu/home/wdj/sigsam/oscas-cca1.pdf|
 
+\bibitem[Joyner 14]{JO14} Joyner, David\\
+``Links to some open source mathematical programs''\\
+\verb|www.opensourcemath.org/opensource_math.html|
+
 \subsection{K} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \bibitem[Kauers 08]{Kau08} Kauers, Manuel\\
@@ -893,6 +917,10 @@ In Davenport [Dav89] pp246-257 ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
 ``Sage Integration Testing''\\
 \verb|http://github.com/tjl/sage_int_testing| Dec. 2008
 
+\bibitem[Lambe 89]{Lam89} Lambe, L. A.\\
+``Scratchpad II as a tool for mathematical research''\\
+Notices of the AMS, February 1928 pp143-147
+
 \bibitem[Lambe 91]{Lam91} Lambe, L. A.\\
 ``Resolutions via homological perturbation''\\
 Journal of Symbolic Computation 12(1) pp71-87 July 1991 
@@ -946,6 +974,17 @@ Computer Science Springer Vol 4151/2006 ISBN 978-3-540-38084-9 pp12-23
 Proceedings of International Congress of Mathematical Software ICMS 2006\\
 \verb|www.csd.uwo.ca/~moreno//Publications/Li-MorenoMaza-ICMS-06.pdf|
 
+\bibitem[Li 10]{YL10} Li, Yue; Dos Reis, Gabriel\\
+``A Quantitative Study of Reductions in Algebraic Libraries''\\
+PASCO 2010
+\verb|www.axiomatics.org/~gdr/concurrency/quant-pasco10.pdf|
+
+\bibitem[Li 11]{YL11} Li, Yue; Dos Reis, Gabriel\\
+``An Automatic Parallelization Framework for Algebraic Computation
+Systems''\\
+ISSAC 2011
+\verb|www.axiomatics.org/~gdr/concurrency/oa-conc-issac11.pdf|
+
 \bibitem[Linton 93]{Lin93} Linton, Steve\\
 ``Vector Enumeration Programs, version 3.04''\\
 \verb|www.cs.st-andrews.ac.uk/~sal/nme/nme_toc.html#SEC1|
@@ -1100,6 +1139,10 @@ New York, NY 10036, USA, 1971. LCCN QA76.5.S94 1971
 Devlin, Keith (ed.)
 Computers and Mathematics November 1993, Vol 40, Number 9 pp1203-1210
 
+\bibitem[Poll 99a]{P99a} Poll, Erik\\
+``The Type System of Axiom''\\
+\verb|www.cs.ru.nl/E.Poll/talks/axiom.pdf|
+
 \bibitem[Poll 99]{PT99} Poll, Erik; Thompson, Simon\\
 ``The Type System of Aldor''\\
 \verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
@@ -1145,6 +1188,10 @@ Mathematik und Physik, 75 (suppl. 2):S435-S438, 1995 ISSN 0044-2267
 
 \subsection{S} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\bibitem[Sage 14]{Sage14} Stein, William\\
+``Sage''\\
+\verb|www.sagemath.org/doc/reference/interfaces/sage/interfaces/axiom.html|
+
 \bibitem[Salvy 89]{Sal89} Salvy, B.\\
 ``Examples of automatic asymptotic expansions''\\
 Technical Report 114,
@@ -1218,6 +1265,10 @@ LCCN QA268.A35 1998 Conference held jointly with ISSAC '88
 Journal of Symbolic Computations, 13(4) pp353-394, April 1992 CODEN JSYCEH 
 ISSN 0747-7171
 
+\bibitem[Sit 06]{Sit06} Sit, Emil\\
+``Tools for Repeatable Research''\\
+\verb|www.emilsit.net/blog/archives/tools-for-repeatable-research|
+
 \bibitem[Smedley 92]{Sme92} Smedley, Trevor J.\\
 ``Using pictorial and object oriented programming for computer algebra''\\
 In Hal Berghel et al., editors. Applied computing --
@@ -1291,6 +1342,10 @@ Universit\'e de Limoges 1998\\
 
 \subsection{V} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\bibitem[van der Hoeven 14]{JvdH14} van der Hoeven, Joris\\
+``Computer algebra systems and TeXmacs''\\
+\verb|www.texmacs.org/tmweb/plugins/cas.en.html|
+
 \bibitem[van Hoeij 94]{vH94} van Hoeij, M.\\
 ``An algorithm for computing an integral basis in an algebraic
 function field''\\
@@ -1327,6 +1382,16 @@ ISSAC '90 Proceedings of the
 International Symposium on Symbolic and Algebraic Computation ACM Press,
 New York, NY, 10036, USA. 1990 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
 
+\bibitem[Watt 85]{Wat85} Watt, Stephen\\
+``Bounded Parallelism in Computer Algebra''\\
+PhD Thesis, University of Waterloo\\
+\verb|www.csd.uwo.ca/~watt/pub/reprints/1985-smw-phd.pdf|
+
+\bibitem[Watt 86]{Wat86} Watt, S.M.; Della Dora, J.\\
+``Algebra Snapshot: Linear Ordinary Differential Operators''\\
+Scratchpad II Newsletter: Vol 1 Num 2 (Jan 1986)\\
+\verb|www.csd.uwo.ca/~watt/pub/reprints/1986-snews-lodo.pdf|
+
 \bibitem[Watt 87]{Wat87} Watt, Stephen\\
 ``Domains and Subdomains in Scratchpad II''\\
 in [Wit87], pp3-5
diff --git a/changelog b/changelog
index 9912c1b..bf45dd1 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140530 tpd src/axiom-website/patches.html 20140530.01.tpd.patch
+20140530 tpd books/bookvolbib add Sit06
 20140525 tpd src/axiom-website/patches.html 20140525.01.tpd.patch
 20140525 tpd src/input/Makefile remove page.input
 20140525 tpd src/input/page.input removed duplicate
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 5ae93d5..0068734 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4356,6 +4356,8 @@ books/bookvolbib.pamphlet add gruntz, knuth refs
 src/input/Makefile add inputform
 <a href="patches/20140525.01.tpd.patch">20140525.01.tpd.patch</a>
 src/input/page.input removed
+<a href="patches/20140530.01.tpd.patch">20140530.01.tpd.patch</a>
+books/bookvolbib add Sit06
  </body>
 </html>
 
